import { Attribute } from '../data-model/attribute';
import { AxExpressionValue } from './ax-expression-value';
export declare class AxExpColumn extends AxExpressionValue {
    value: Attribute;
    constructor(axExpColumn?: AxExpColumn);
    /**
     * Create Object of Ex-column by default value
     */
    newAxExpColumn(): void;
    /**
     * Create Object of Ex-column existing  value
     *
     * @param axExpColumn
     */
    axExpColumn(axExpColumn?: AxExpColumn): void;
    searchable(): boolean;
}
